use markov::Chain;
mod toki;
mod nimi_sin;

fn main() {
    let nimi_sin = nimi_sin::pali(4);
    println!("{}", nimi_sin); //o pali e nimi sin
    println!("{}", markov(1));// o pali e kon pi nimi sin ni
    println!("{}", toki::pali(&nimi_sin));
}

fn markov(nanpa: u8) -> String { // pali e nimi sin kepeken ilo Mako. 
    let mut mako = Chain::new();
    let mut x = 0;
    let mut kon = String::new();
    mako.feed_file("nimi").expect("lipu li lon ala a");
    while x < nanpa {
        kon.push_str(mako.generate_str().as_str());
        kon.push_str(" ");
        x += 1;
    }
    kon
}

